%define	upstream_name	 Catalyst-Model-DBI
%define upstream_version 0.32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Catalyst DBI Model Class
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.0.0
BuildRequires: perl(DBI)
BuildRequires: perl(DBIx::Connector)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildArch:  noarch

%description
This is the DBI model class for Catalyst. It is nothing more than a
simple wrapper for DBI.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.320.0-2.mga4
+ Revision: 526786
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.320.0-1.mga4
+ Revision: 438842
- update to 0.32

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 363916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.300.0-1.mga3
+ Revision: 254640
- update to 0.30

* Wed Jan 26 2011 jquelin <jquelin> 0.280.0-1.mga1
+ Revision: 40254
- mageia rebuild
- imported package perl-Catalyst-Model-DBI


* Fri Jan 29 2010 Jérôme Quelin <jquelin@mandriva.org> 0.280.0-1mdv2010.1
+ Revision: 497906
- update to 0.28

* Fri Jan 22 2010 Jérôme Quelin <jquelin@mandriva.org> 0.250.0-1mdv2010.1
+ Revision: 494963
- adding missing buildrequires:
- update to 0.25

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.240.0-1mdv2010.1
+ Revision: 460824
- update to 0.24

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.0
+ Revision: 408939
- rebuild using %%perl_convert_version

* Sun Dec 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-3mdv2009.1
+ Revision: 314241
- update to new version 0.20

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.19-3mdv2009.0
+ Revision: 241154
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2008.0
+ Revision: 46970
- update to new version 0.19


* Sun Jan 28 2007 Buchan Milne <bgmilne@mandriva.org> 0.15-1mdv2007.0
+ Revision: 114646
- New version 0.15

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Catalyst-Model-DBI

* Tue Jun 27 2006 Scott Karns <scottk@mandriva.org> 0.14-1mdv2007.0
- Version 0.14

* Thu Jun 01 2006 Scott Karns <scottk@mandriva.org> 0.13-1mdv2007.0
- Version 0.13

* Wed May 31 2006 Scott Karns <scottk@mandriva.org> 0.12-1mdv2007.0
- Version 0.12

* Fri Mar 17 2006 Buchan Milne <bgmilne@mandriva.org> 0.11-1mdk
- First Mandriva package, from Scott Ryan

